Bug 146062 - AX: [ATK] Expose element tag name as an object attribute
Summary: AX: [ATK] Expose element tag name as an object attribute
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: All Linux
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-06-17 08:03 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2015-12-09 00:30 PST (History)
9 users (show)

See Also:


Attachments
Patch (51.18 KB, patch)
2015-06-17 08:09 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2015-06-17 08:03:28 PDT
ATK has recently gotten a bunch of new roles so that assistive technologies like Orca can provide better support to web content. Unfortunately, many Orca users use the latest Orca on older distros which lack these roles. My choice is to bump the minimum dependencies of Orca, which would require users to update their entire distro or use old/unmaintained versions of Orca, or to find SomeOtherWay(tm). If we expose the element tag name via AtkObject attribute, I can postpone bumping dependencies in Orca. Furthermore, Gecko already exposes element tag names via AtkObject attribute, so our doing so would be consistent with the behavior of the other rendering engine on our platform.
Comment 1 Radar WebKit Bug Importer 2015-06-17 08:04:00 PDT
<rdar://problem/21421228>
Comment 2 Joanmarie Diggs (irc: joanie) 2015-06-17 08:09:09 PDT
Created attachment 255016 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2015-06-17 08:11:49 PDT
Chris, this is a three-line patch (code-wise) and updated test expectations. If you have time for a review that would be great. Thanks!
Comment 4 Mario Sanchez Prada 2015-06-17 08:37:12 PDT
Comment on attachment 255016 [details]
Patch

Looks good to me
Comment 5 Joanmarie Diggs (irc: joanie) 2015-06-17 08:44:03 PDT
Comment on attachment 255016 [details]
Patch

Thanks Mario!
Comment 6 WebKit Commit Bot 2015-06-17 09:35:19 PDT
Comment on attachment 255016 [details]
Patch

Rejecting attachment 255016 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 255016, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
ilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
RA layer request failed: Unable to connect to a repository at URL 'http://svn.webkit.org/repository/webkit': OPTIONS of 'http://svn.webkit.org/repository/webkit': Could not resolve hostname `svn.webkit.org': Host not found (http://svn.webkit.org) at /Applications/Xcode.app/Contents/Developer/usr/share/git-core/perl/Git/SVN.pm line 717.

Died at /Volumes/Data/EWS/WebKit/Tools/Scripts/webkitdirs.pm line 2498.

Full output: http://webkit-queues.appspot.com/results/4757921275576320
Comment 7 Joanmarie Diggs (irc: joanie) 2015-06-17 12:16:10 PDT
Comment on attachment 255016 [details]
Patch

I'm trying cq+ again because I don't see how my patch could cause the error in comment #6.
Comment 8 WebKit Commit Bot 2015-06-17 13:03:55 PDT
Comment on attachment 255016 [details]
Patch

Clearing flags on attachment: 255016

Committed r185662: <http://trac.webkit.org/changeset/185662>
Comment 9 WebKit Commit Bot 2015-06-17 13:04:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Gyuyoung Kim 2015-12-08 07:53:04 PST
Reopening to attach new patch.
Comment 11 Gyuyoung Kim 2015-12-08 07:55:21 PST
(In reply to comment #10)
> Reopening to attach new patch.

Oops, I upload my patch to wrong bug. Sorry.